#
# spec file for package awesfx (Version 0.5.0d)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl alsa alsa-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           awesfx
BuildRequires:  alsa-devel
Summary:        SoundFont Utilities for SB AWE32/64 and Emu10k1 Drivers
Version:        0.5.0d
Release:        16.2
License:        GPL
Group:          Productivity/Multimedia/Sound/Midi
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://www.alsa-project.org/~iwai/awedrv.html
Source:         awesfx-%{version}.tar.bz2

%description
The AWESFX package includes utility programs for controlling the
wavetable function on SB AWE32/64 and Emu10k1 sound cards.



Authors:
--------
    Takashi Iwai <tiwai@suse.de>

%debug_package
%prep
%setup

%build
%{?suse_update_config:%{suse_update_config -f}}
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} --mandir=%{_mandir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README ChangeLog NEWS
%doc *.txt
%{_bindir}/*
%dir %{_datadir}/sounds/sf2
%{_datadir}/sounds/sf2/*
%doc %{_mandir}/*/*

%changelog -n awesfx
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Aug 31 2004 - tiwai@suse.de
- updated to version 0.5.0d.  (misc fixes only)
* Fri Feb 27 2004 - tiwai@suse.de
- updated to version 0.5.0b.
* Wed Feb 04 2004 - tiwai@suse.de
- updated to version 0.5.0a.
* Fri Jan 23 2004 - tiwai@suse.de
- updated to version 0.5.0.  using auto-tools now.
  ALSA emux loader is added.
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Fri Mar 08 2002 - kukuk@suse.de
- Add /usr/share/sounds/sf2 to filelist
* Tue Jan 08 2002 - tiwai@suse.de
- fixed buffer overflow with a long HOME env. variable.
* Fri Sep 21 2001 - tiwai@suse.de
- Fixed a bug in incremental loading: duplication of instrument
  layers are avoided.
* Tue Feb 27 2001 - tiwai@suse.de
- Apply the forgotten patch.
* Fri Jan 05 2001 - tiwai@suse.de
- Removed CVS directories from source archive.
- Strip installed binaries.
* Tue Dec 05 2000 - tiwai@suse.de
- Move default soundfont directory to /usr/share/sounds/sf2.
* Thu Sep 14 2000 - tiwai@suse.de
- Fixed version number and documents.
* Tue Aug 01 2000 - tiwai@suse.de
- Initial version: 0.4.4
